@import "../../../base";
@import "../../../theme";

$detail-icon-row-dimension: $mat-cell-dimension * 8;

.tournament-detail {
  min-width: $mat-cell-dimension * 50;
  max-width: $mat-cell-dimension * 55;
  padding: $mat-cell-dimension;

  .tournament-detail-tabs {
    @extend %full-centered-content;
  }

  .tournament-detail-tab {
    @include mat-top-margin(2);
  }

  .tournament-detail-detail {
    padding: $mat-cell-dimension;
    display: grid;
    grid-row-gap: $mat-cell-dimension;

    .tournament-detail-detail-logo {
      justify-self: center;
      max-height: $detail-icon-row-dimension;
      max-width: $detail-icon-row-dimension;
    }

    .tournament-detail-detail-entry {
      justify-self: flex-start;
      height: $mat-cell-dimension * 3;
    }
  }

  .tournament-detail-loading-placeholder {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: $mat-cell-dimension * 40;
  }

  .tournament-detail-participant {
    display: grid;
    grid-row-gap: $mat-cell-dimension;
    .tournament-participant {
      padding-left: $mat-cell-dimension;
    }
  }

  .tournament-detail-matches {
    display: grid;
    grid-row-gap: $mat-cell-dimension * 2;

    .tournament-detail-matches-filter {
      display: grid;
      grid-column-gap: $mat-cell-dimension;
      grid-template-columns: auto 40px;

      .tournament-detail-matches-filter-fab {
        align-self: center;
      }
    }

    .tournament-detail-match {
      padding: $mat-cell-dimension;
      @extend %full-centered-content;
      flex-direction: column;

      .tournament-detail-match-summary {
        @extend %mat-headline6
      }

      .tournament-detail-match-winner {
        @extend %mat-headline5
      }

      .tournament-detail-match-details {
        @include mat-top-margin(4);
        @extend %mat-body1;
        display: grid;
        grid-template-rows: $mat-cell-dimension * 4 $mat-cell-dimension * 4 $mat-cell-dimension * 4;
      }

      .tournament-detail-match-opponents {
        @include mat-top-margin(4);
        display: grid;
        align-self: flex-start;
        grid-row-gap: $mat-cell-dimension * 2;

        .tournament-detail-match-opponent {
          align-self: flex-start;

          .tournament-detail-match-opponent-label {
            color: $mdc-theme-primary;
          }
        }
      }
    }
  }

  .no-data {
    @include mat-top-margin(2);
    @extend %mat-body1;
  }
}